com.sun.jna.platform.win32

## Class WinCrypt.CRYPT_VERIFY_MESSAGE_PARA

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinCrypt.CRYPT_VERIFY_MESSAGE_PARA

- Enclosing interface:
    WinCrypt

      @Structure.FieldOrder(value={"cbSize","dwMsgAndCertEncodingType","hCryptProv","pfnGetSignerCertificate","pvGetArg","pStrongSignPara"})
      public static class WinCrypt.CRYPT_VERIFY_MESSAGE_PARA
      extends Structure

  The CRYPT_VERIFY_MESSAGE_PARA structure contains information needed to verify signed messages.
  See Also:
    MSDN

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `WinCrypt.CRYPT_VERIFY_MESSAGE_PARA.ByReference`

    - ### Nested classes/interfaces inherited from class com.sun.jna.Structure

      `Structure.ByValue, Structure.FieldOrder, Structure.StructField`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `cbSize`
    `int` | `dwMsgAndCertEncodingType`
    `WinCrypt.HCRYPTPROV_LEGACY` | `hCryptProv`
    `WinCrypt.CryptGetSignerCertificateCallback` | `pfnGetSignerCertificate`
    `WinCrypt.CERT_STRONG_SIGN_PARA.ByReference` | `pStrongSignPara`
    `Pointer` | `pvGetArg`

    - ### Fields inherited from class com.sun.jna.Structure

      `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CRYPT_VERIFY_MESSAGE_PARA()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `write()` Writes the fields of the struct to native memory

    - ### Methods inherited from class com.sun.jna.Structure

      `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, writeField, writeField, writeField`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cbSize

          public int cbSize

    - #### dwMsgAndCertEncodingType

          public int dwMsgAndCertEncodingType

    - #### hCryptProv

          public WinCrypt.HCRYPTPROV_LEGACY hCryptProv

    - #### pfnGetSignerCertificate

          public WinCrypt.CryptGetSignerCertificateCallback pfnGetSignerCertificate

    - #### pvGetArg

          public Pointer pvGetArg

    - #### pStrongSignPara

          public WinCrypt.CERT_STRONG_SIGN_PARA.ByReference pStrongSignPara

  - ### Constructor Detail

    - #### CRYPT_VERIFY_MESSAGE_PARA

          public CRYPT_VERIFY_MESSAGE_PARA()

  - ### Method Detail

    - #### write

          public void write()

      Description copied from class: `Structure`
      Writes the fields of the struct to native memory
      Overrides:
        `write` in class `Structure`

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.